# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           susepaste
Version:        0.5.3
Release:        alt1_2
Summary:        Simple script for using openSUSE paste easily
License:        GPLv3+
Group:          Text tools
URL:            http://susepaste.org
Source0:        https://github.com/openSUSE/paste/archive/master/%{name}-script-%{version}.tar.gz

BuildArch:      noarch

Requires:       curl
Source44: import.info

%description
Simple script for using openSUSE paste easily.
You can paste either the file or input from stdin.

http://susepaste.org


%package screenshot
Summary:        Simple script for pasting screenshots easily
Group:          Graphics

BuildArch:      noarch

Requires:       wmctrl
Requires:       ImageMagick-tools
Requires:       curl

Requires:       xclip

%description screenshot
Simple script for using openSUSE paste easily.
You can paste screenshot of the window or whole desktop.

http://susepaste.org


%prep
%setup -q -n paste-master

%build
#nothing to do

%install
pushd script
install -D -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 0755 %{name}-screenshot %{buildroot}%{_bindir}/%{name}-screenshot
install -D -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -D -m 0644 %{name}-screenshot.1 %{buildroot}%{_mandir}/man1/%{name}-screenshot.1
install -D -m 0644 lang-mappings.sed %{buildroot}%{_datadir}/%{name}/lang-mappings.sed
popd

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/lang-mappings.sed
%{_mandir}/man1/%{name}.*

%files screenshot
%{_bindir}/%{name}-screenshot
%{_mandir}/man1/%{name}-screenshot.*


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.5.3-alt1_2
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_8
- new version

